%define name python3-pafy
%define version 0.5.3.1
%define srcname pafy
%define release %mkrel 1

Summary:	Retrieve YouTube content and metadata
Name:		%{name}
Version:	%{version}
License:	LGPLv3
Group:		Development/Python
Release:	%{release}
Source:		https://pypi.python.org/packages/source/p/pafy/pafy-%version.tar.xz
URL:		http://np1.github.io/pafy/
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires: youtube-dl
BuildRequires: python3-devel
Provides:	%{srcname} = %{version}
Provides:	%{name} = %{version}
Requires:	python3 >= 3.4
Requires:	youtube-dl
Requires:	python3-colorama
BuildArch:	noarch

%description
Retrieve YouTube content and metadata.

Features:

    Retreive metadata such as viewcount, duration, rating, author, thumbnail, keywords
    Download video or audio at requested resolution/bitrate/format/filesize
    Command line tool (ytdl) for downloading directly from the command line
    Retrieve the URL to stream the video in a player such as vlc or mplayer
    Works with age-restricted videos and non-embeddable videos
    Small, standalone, single importable module file (pafy.py)
    Select highest quality stream for download or streaming
    Download video only (no audio) in m4v or webm format
    Download audio only (no video) in ogg or m4a format
    Retreive playlists and playlist metadata
    Works with Python 2.6+ and 3.3+
    Optionally depends on youtube-dl (recommended; more stable)

%prep
%setup -qn %{srcname}-%{version}

%build
# direct install

%install
%__rm -rf %{buildroot}
%__python3 setup.py install --root=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG CONTRIBUTING GPLv3 LICENSE README.rst
%{_bindir}/ytdl
%{python3_sitelib}/pafy*


%changelog
* Thu Dec 07 2017 Zen Subz <techars21 at gmail dot com> - 0.5.3.1-1pclos2017
- Build for PCLinuxOS
